using System;
using System.IO;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Navigation;
using FingersDance.Data;

namespace FingersDance.Control.UserPanel
{
	public partial class UserControlUserPanel
	{
        public int id = 0;
        Project _Project = new Project();

        public Project Project
        {
            get { return _Project; }
            set { _Project = value; }
        }

		public UserControlUserPanel()
		{
			this.InitializeComponent();

			// Insert code required on object creation below this point.
		}

        public UserControlUserPanel(int idPar, Color col, Project p, string path)
        {
            this.InitializeComponent();
            id = idPar;
            _Project = p;
            this.UserControlSyncSource.Load(path, col, _Project.Cutting);
        }

        public void PlayerPause()
        {
            UserControlSyncSource.PlayerPause();
        }
	}
}